#!/bin/bash
a=$(awk 'BEGIN{RS="[[:space:]]";}{print $0}' $1 | sed -n 's/[^0-9]*\([0-9]\{1,3\}\.[0-9]\{1,3\}\.[0-9]\{1,3\}\.[0-9]\{1,3\}\)\b/\1/p')
#echo $a
#b=$(awk 'BEGIN{RS="\ ";}{print $0}' $a | sed -n 's/[^0-9]*\([0-9]\{1,3\}\.[0-9]\{1,3\}\.[0-9]\{1,3\}\.[0-9]\{1,3\}\).*/\1/p')

for ipad in $a
do
	IFS='.' read -r -a dummy <<< "$ipad"
	if [ ${#dummy[@]} -gt 4 ]
	then 
		continue
	fi
	for ((i = ${#dummy[@]} - 1;i >= 0;i--)); do
		if [ ${dummy[i]} -lt 0 ] ||[ ${dummy[$i]} -gt 255 ]
		then
			break
		elif [ $i -eq 0 ] && [ ${dummy[$i]} -lt 128 ] && [ ${dummy[$i]} -gt -1 ]
		then
			echo "$ipad A" >> temp
		elif [ $i -eq 0 ] && [ ${dummy[$i]} -lt 192 ] && [ ${dummy[$i]} -gt 127 ]
		then
			echo "$ipad B" >> temp
		elif [ $i -eq 0 ] && [ ${dummy[$i]} -lt 224 ] && [ ${dummy[$i]} -gt 191 ]
		then
			echo "$ipad C" >> temp
		elif [ $i -eq 0 ] && [ ${dummy[$i]} -lt 240 ] && [ ${dummy[$i]} -gt 223 ]
		then
			echo "$ipad D" >> temp
		elif [ $i -eq 0 ] && [ ${dummy[$i]} -lt 248 ] && [ ${dummy[$i]} -gt 239 ]
		then
			echo "$ipad E" >> temp
		elif [ $i -eq 0 ] && [ ${dummy[$i]} -lt 256 ] && [ ${dummy[$i]} -gt 247 ]
		then
			echo "$ipad Not Defined" >> temp
		fi
	done
done

cat temp
rm temp